    //alert('hello');
    function totalPrice() {
        var Total = parseFloat(0);
        $.each($('.totalPrice'), function () {
            Total += parseFloat($(this).val());
        })
        //Total += abc ;
        $('#Total').val(Total - $('#Discount').val());
    }
    $('input[type=text]').keyup(function () {
        //alert('onchange');
        var _id = $(this).attr('id');
        //alert(_id);
        //data_0__Quantity
        if (_id.substring(0, 4) == 'data') {
            total_id = _id.substring(0, 8); //-> data_0__
            unitprice_id = total_id + "Unit_Price";
            total_id = total_id + 'Total_Price'; //-> data_0__Total_price
            //alert(total_id);
            var abc = ($('#' + unitprice_id).val() * $(this).val());
            $('#' + total_id).val(abc);
            totalPrice();
        }
        if (_id == 'Discount') {
            totalPrice();
        }
    });
    totalPrice();                                                                                                                                                                                                                                                                                                                                      